Package org.silverpeas.components.scheduleevent.view

# Class ScheduleEventDetailVO

java.lang.Object
org.silverpeas.components.scheduleevent.view.ScheduleEventDetailVO

public class ScheduleEventDetailVO extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScheduleEventDetailVO(org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController sessionController, ScheduleEventBean currentEvent)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BestTimeVO`
  `getBestTimes()`
  `ContributorVO`
  `getCurrentUser()`
  `List<DateVO>`
  `getDates()`
  `String`
  `getDescription()`
  `String`
  `getId()`
  `List<ContributorVO>`
  `getOtherSubscribers()`
  `String`
  `getParticipationPercentageRate()`
  `String`
  `getPresentParticipationPercentageRate()`
  `String`
  `getResourceType()`
  `Integer`
  `getSubscribersCount()`
  `String`
  `getTitle()`
  `boolean`
  `isAllowedToChange()`
  `boolean`
  `isClosed()`
  `boolean`
  `isCurrentUserDefinedAsSubscriber()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScheduleEventDetailVO

    public ScheduleEventDetailVO(org.silverpeas.core.web.mvc.controller.AbstractComponentSessionController sessionController, ScheduleEventBean currentEvent) throws org.silverpeas.kernel.SilverpeasException
    Throws:
      `org.silverpeas.kernel.SilverpeasException`

- ## Method Details

  - ### getDates

    public List<DateVO> getDates()

  - ### getBestTimes

    public BestTimeVO getBestTimes()

  - ### getId

    public String getId()

  - ### getTitle

    public String getTitle()

  - ### getDescription

    public String getDescription()

  - ### getCurrentUser

    public ContributorVO getCurrentUser()

  - ### getSubscribersCount

    public Integer getSubscribersCount()

  - ### getPresentParticipationPercentageRate

    public String getPresentParticipationPercentageRate()

  - ### getParticipationPercentageRate

    public String getParticipationPercentageRate()

  - ### isCurrentUserDefinedAsSubscriber

    public boolean isCurrentUserDefinedAsSubscriber()

  - ### getOtherSubscribers

    public List<ContributorVO> getOtherSubscribers()

  - ### isClosed

    public boolean isClosed()

  - ### isAllowedToChange

    public boolean isAllowedToChange()

  - ### getResourceType

    public String getResourceType()